Ask Your Question
0

Installation on Win 10 failed

asked 2019-11-13 14:34:30 +0000

fbrauge gravatar image

Hi, I want to installe 3.0.6 or 3.1.0, but an error occured on Win10 (after migration from W7 by our IT) Message is "visual C++ redistributable installer failed with error -21470223636. Please make sur you have Kb2999226 or KB3118401 installed. These KB are for win7 and before and I can't install it (security rules of our company). Do you have an idea?

Thanks

edit retag flag offensive close merge delete

3 Answers

Sort by » oldest newest most voted
0

answered 2019-11-13 15:42:41 +0000

grahamb gravatar image

Wireshark requires the Universal CRT platform component to be installed and until now I thought that this was installed on ALL versions of Windows 10.

You can try installing the VC Redistributable for VS2017 from MS which is here (that's what the Wireshark installer attempts to install) but I suspect that you'll come up with the same error. If that's the case something is broken on your machine.

edit flag offensive delete link more

Comments

Hello I ‘ve installed manually VC Redistributable for VS2017 without problem but I still continue to have error message.

fbrauge gravatar imagefbrauge ( 2019-11-14 07:30:22 +0000 )edit

Can you confirm the error code, it looks a bit odd?

grahamb gravatar imagegrahamb ( 2019-11-14 09:00:50 +0000 )edit

I confirm the message. Error: -2147023636

Can I send you a screen copy?

fbrauge gravatar imagefbrauge ( 2019-11-14 09:37:47 +0000 )edit

That number makes more sense, its 0x800704EC in hex which now looks like a Windows error. According to the MS error lookup tool in Visual Studio that error is:

This program is blocked by group policy. For more information, contact your system administrator.

So it looks like you'll have to engage with your IT admin to resolve this.

grahamb gravatar imagegrahamb ( 2019-11-14 09:45:19 +0000 )edit

"VC Redistributable for VS2017 " is installed. A new installation is blocked. Is it possible to shunt VC installation?

fbrauge gravatar imagefbrauge ( 2019-11-14 09:52:21 +0000 )edit
0

answered 2020-02-17 14:47:16 +0000

updated 2020-02-17 15:07:12 +0000

grahamb gravatar image

I also have the impression, that this redistrutable (Microsoft Visual C++ 2015-2019 Redistributable (x64) - 14.24.28127) is not made for Win10. I used admin rights to install it. I attemted to install it manually, but got the following error-log:

[5C10:38FC][2020-02-17T15:26:20]i001: Burn v3.10.4.4718, Windows v10.0 (Build 17763: Service Pack 0), path: C:\WINDOWS\Temp\{3D78D5F8-6449-4A46-A966-AF363B5DEB06}\.cr\vcredist_x64.exe
[5C10:38FC][2020-02-17T15:26:20]i009: Command Line: '-burn.clean.room=c:\customsoftware\vcredist_x64.exe -burn.filehandle.attached=648 -burn.filehandle.self=704'
[5C10:38FC][2020-02-17T15:26:20]i000: Setting string variable 'WixBundleOriginalSource' to value 'c:\customsoftware\vcredist_x64.exe'
[5C10:38FC][2020-02-17T15:26:20]i000: Setting string variable 'WixBundleOriginalSourceFolder' to value 'c:\customsoftware\'
[5C10:38FC][2020-02-17T15:26:21]i000: Setting string variable 'WixBundleLog' to value 'C:\Users\xxx\AppData\Local\Temp\dd_vcredist_amd64_20200217152621.log'
[5C10:38FC][2020-02-17T15:26:21]i000: Setting string variable 'WixBundleName' to value 'Microsoft Visual C++ 2015-2019 Redistributable (x64) - 14.24.28127'
[5C10:38FC][2020-02-17T15:26:21]i000: Setting string variable 'WixBundleManufacturer' to value 'Microsoft Corporation'
[5C10:6668][2020-02-17T15:26:21]i000: Setting version variable 'WixBundleFileVersion' to value '14.24.28127.4'
[5C10:38FC][2020-02-17T15:26:21]i100: Detect begin, 10 packages
[5C10:38FC][2020-02-17T15:26:21]i000: Setting version variable 'windows_uCRT_DetectKey' to value '10.0.17763.719'
[5C10:38FC][2020-02-17T15:26:21]i000: Setting numeric variable 'windows_uCRT_DetectKeyExists' to value 1
[5C10:38FC][2020-02-17T15:26:21]i102: Detected related bundle: {427ada59-85e7-4bc8-b8d5-ebf59db60423}, type: Upgrade, scope: PerMachine, version: 14.16.27012.6, operation: MajorUpgrade
[5C10:38FC][2020-02-17T15:26:21]i052: Condition '(VersionNT = v6.3 AND NOT VersionNT64) AND (windows_uCRT_DetectKeyExists AND windows_uCRT_DetectKey >= v10.0.10240.0)' evaluates to false.
[5C10:38FC][2020-02-17T15:26:21]i052: Condition '(VersionNT = v6.3 AND VersionNT64) AND (windows_uCRT_DetectKeyExists AND windows_uCRT_DetectKey >= v10.0.10240.0)' evaluates to false.
[5C10:38FC][2020-02-17T15:26:21]i052: Condition '(VersionNT = v6.2 AND NOT VersionNT64) AND (windows_uCRT_DetectKeyExists AND windows_uCRT_DetectKey >= v10.0.10240.0)' evaluates to false.
[5C10:38FC][2020-02-17T15:26:21]i052: Condition '(VersionNT = v6.2 AND VersionNT64) AND (windows_uCRT_DetectKeyExists AND windows_uCRT_DetectKey >= v10.0.10240.0)' evaluates to false.
[5C10:38FC][2020-02-17T15:26:21]i052: Condition '(VersionNT = v6.1 AND NOT VersionNT64) AND (windows_uCRT_DetectKeyExists AND windows_uCRT_DetectKey >= v10.0.10240.0)' evaluates to false.
[5C10:38FC][2020-02-17T15:26:21]i052: Condition '(VersionNT = v6.1 AND VersionNT64) AND (windows_uCRT_DetectKeyExists AND windows_uCRT_DetectKey >= v10.0.10240.0)' evaluates to false.
[5C10:38FC][2020-02-17T15:26:21]i052: Condition '(VersionNT = v6.0 AND NOT VersionNT64) AND (windows_uCRT_DetectKeyExists AND windows_uCRT_DetectKey >= v10.0.10240.0)' evaluates to false.
[5C10:38FC][2020-02-17T15:26:21]i052: Condition '(VersionNT = v6.0 AND VersionNT64) AND (windows_uCRT_DetectKeyExists AND windows_uCRT_DetectKey >= v10.0.10240.0)' evaluates to false.
[5C10:38FC][2020-02-17T15:26:21]i103: Detected related package: {3ECD99CB-EDAF-45DA-AD9C-2C4875F375FB}, scope: PerMachine, version: 14.16.27012.0, language: 0 operation: MajorUpgrade
[5C10:38FC][2020-02-17T15:26:21]i103: Detected related package: {DF5B1280-A057-4536-9D03-3BCAA0D4C6F0}, scope: PerMachine, version: 14.16.27012.0, language: 0 operation: MajorUpgrade
[5C10:38FC][2020-02-17T15:26:21]i101: Detected package: Windows81_x86, state: Absent ...
(more)
edit flag offensive delete link more

Comments

This is NOT an answer and is to big to make into a comment. Please post it as a new question.

It looks to me that the installer is waiting for elevation. Have you tried running it as an Administrator?

grahamb gravatar imagegrahamb ( 2020-02-17 15:09:24 +0000 )edit
0

answered 2022-05-04 21:46:18 +0000

Tadzio gravatar image

I just ran into this issue today, trying to install version 3.6.4 on Windows 10. After searching for a resolution for an hour or more, and not finding one, I finally decided to try an older version. I discovered that the latest stable release is 3.4.14. I downloaded that, and it installed just fine. I hope that this helps all of you frustrated people out there, running into this error and not knowing what to do about it.

edit flag offensive delete link more

Comments

I have the same problem with the latest installer 3.6.4 also, on windows 11! never had this problem before.

dids201 gravatar imagedids201 ( 2022-05-05 00:01:20 +0000 )edit

This is due to a slightly different problem. We switched to Visual Studio 2022 for the 3.6.4 build, and unfortunately I missed backporting a change which is required to support that. I'm working on the 3.6.5 release, which should be out in a bit.

admin.gcc gravatar imageadmin.gcc ( 2022-05-05 00:53:52 +0000 )edit

Thanks for this. 3.6.5 worked where 3.6.4 failed.

drhaywardj gravatar imagedrhaywardj ( 2022-05-05 02:24:55 +0000 )edit

Thank you. Version 3.6.5 works!!!

BigFatCat gravatar imageBigFatCat ( 2022-05-05 03:21:04 +0000 )edit
1

See this answer

grahamb gravatar imagegrahamb ( 2022-05-05 06:27:27 +0000 )edit

Your Answer

Please start posting anonymously - your entry will be published after you log in or create a new account.

Add Answer

Question Tools

2 followers

Stats

Asked: 2019-11-13 14:34:30 +0000

Seen: 5,926 times

Last updated: May 04